import com.bailuntec.domain.entity.JobPointLog;
import com.bailuntec.job.SkuSyncByCreateTimeJob;
import com.bailuntec.job.SkuSyncByUpdateTimeJob;
import com.bailuntec.job.SkuSyncJob;
import org.junit.jupiter.api.Test;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.time.LocalDateTime;

public class SyncSkuTest {
    @Test
    public void test() {
        SkuSyncJob skuSyncJob = new SkuSyncJob();
        skuSyncJob.executeJob(null, new JobPointLog("base-sku",0 ,25,1,1, LocalDateTime.now(),LocalDateTime.now()));
    }
    @Test
    public void tes1() {
        SkuSyncByCreateTimeJob skuSyncJob = new SkuSyncByCreateTimeJob();
        skuSyncJob.executeJob(null, new JobPointLog("base-sku",0 ,100,1,1,
                LocalDateTime.of(2019,03,01,0,0),
                LocalDateTime.now()));
    }
    @Test
    public void tes2() {
        SkuSyncByUpdateTimeJob skuSyncJob = new SkuSyncByUpdateTimeJob();
        skuSyncJob.executeJob(null, new JobPointLog("base-sku",0 ,100,1,1,
                LocalDateTime.of(2019,03,30,0,0),
                LocalDateTime.now()));
    }
    @Test
    public void tes3() {

    }
}
